Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.pe
Class OtdBeanProperty

    java.lang.Object
      com.stc.swift.egategui.pe.OtdBeanProperty

All Implemented Interfaces:
  com.stc.editor.javamodel.beans.IBeanProperty

    public class OtdBeanProperty

extends java.lang.Object
implements com.stc.editor.javamodel.beans.IBeanProperty

Title:

Description:

Copyright: Copyright (c) 2002

Company: SeeBeyond

Version:
  1.0

Constructor Summary
`OtdBeanProperty(OtdBeanInfo beanInfo, java.lang.String displayName, java.lang.String propName, com.stc.otd.forest.OtdWood otdWood)` Creates a new OtdBeanProperty object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getCountExpression(com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpressionList args)` This method returns the count expression
`java.lang.String` | `getCountMethodName()` This method returns the count method name
`java.lang.String` | `getDisplayName()` This method returns the display name associated with this bean property
`java.lang.String` | `getFullClassName()` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getGetter(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath, com.stc.editor.javamodel.IExpression input)` This method returns the getter expression based on the property path
`com.stc.editor.javamodel.IExpression` | `getGetter(com.stc.editor.javamodel.IExpression callExp)` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getGetter(com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpressionList args)` This method returns the getter expression as represented by IExpression
`java.lang.String` | `getGetterMethodName()` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getHasExpression(com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpressionList args)` this method returns the has expression
`com.stc.editor.javamodel.IJavaModel` | `getJCModel()`
`com.stc.editor.javamodel.IMethodDeclaration[]` | `getMethods()` This method returns an array of method declarations
`java.lang.String` | `getName()` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getSetter(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath, com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpressionList args)` This method returns the setter expression
`com.stc.editor.javamodel.IExpression` | `getSetter(com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpression arg)` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getSetter(com.stc.editor.javamodel.IExpression input, com.stc.editor.javamodel.IExpressionList args)` This method returns the setter expression as represented by IExpression
`java.lang.String` | `getSetterMethodName()` DOCUMENT ME!
`com.stc.editor.javamodel.beans.IBeanInfo` | `getTypeBeanInfo()` DOCUMENT ME!
`java.lang.String` | `getTypeName()` DOCUMENT ME!
`com.stc.editor.javamodel.IExpression` | `getVarIndexExpression(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath)` This method returns the the variable index expression based on the bean property path
`boolean` | `isGetter(java.lang.String name)` this method determines whether a method with the given name is a getter
`boolean` | `isGetterRepeating()` Return true if the getter method is a repeating bean, repeating bean contains an integer index for getting the value of the bean.
`boolean` | `isOptional()` this method returns is optional
`boolean` | `isReadable()` This method returns true if this bean property is readable
`boolean` | `isRepeating()` This method determines whether this bean property is a repeating type
`boolean` | `isSetter(java.lang.String name)` This method determines whether a method with the given name is a setter
`boolean` | `isSetterRepeating()` Return true if the setter method is a repeating bean, repeating bean contains an integer index to set the value into a the specified locationof the bean.
`boolean` | `isWrittable()` This method returns true if this bean property is writtable
`void` | `setIsOptional(boolean isOptional)` This method sets whether it is optional
`void` | `setIsRepeating(boolean val)` This method sets whether it is repeatin node
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtdBeanProperty

    public OtdBeanProperty(OtdBeanInfo beanInfo,
                           java.lang.String displayName,
                           java.lang.String propName,
                           com.stc.otd.forest.OtdWood otdWood)

  Creates a new OtdBeanProperty object.

  Parameters:
    `beanInfo` - DOCUMENT ME!
    `displayName` - DOCUMENT ME!
    `propName` - DOCUMENT ME!
    `otdWood` - DOCUMENT ME!

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  This method returns the display name associated with this bean property

  Specified by:
    `getDisplayName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    String

### getFullClassName

    public java.lang.String getFullClassName()

  DOCUMENT ME!

  Specified by:
    `getFullClassName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    DOCUMENT ME!

### getMethods

    public com.stc.editor.javamodel.IMethodDeclaration[] getMethods()

  This method returns an array of method declarations

  Specified by:
    `getMethods` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    IMethodDeclaration[]

### setIsOptional

    public void setIsOptional(boolean isOptional)

  This method sets whether it is optional

  Specified by:
    `setIsOptional` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `isOptional` - is optional

### isOptional

    public boolean isOptional()

  this method returns is optional

  Specified by:
    `isOptional` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    is optional

### getGetter

    public com.stc.editor.javamodel.IExpression getGetter(com.stc.editor.javamodel.IExpression callExp)

  DOCUMENT ME!

  Specified by:
    `getGetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `callExp` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getCountMethodName

    public java.lang.String getCountMethodName()

  This method returns the count method name

  Specified by:
    `getCountMethodName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    String method name

### getGetterMethodName

    public java.lang.String getGetterMethodName()

  DOCUMENT ME!

  Specified by:
    `getGetterMethodName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Specified by:
    `getName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    DOCUMENT ME!

### getSetter

    public com.stc.editor.javamodel.IExpression getSetter(com.stc.editor.javamodel.IExpression input,
                                                          com.stc.editor.javamodel.IExpression arg)

  DOCUMENT ME!

  Parameters:
    `input` - DOCUMENT ME!
    `arg` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getSetterMethodName

    public java.lang.String getSetterMethodName()

  DOCUMENT ME!

  Specified by:
    `getSetterMethodName` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    DOCUMENT ME!

### getTypeBeanInfo

    public com.stc.editor.javamodel.beans.IBeanInfo getTypeBeanInfo()
                                                             throws com.stc.editor.javamodel.beans.BeanInfoNotFoundException

  DOCUMENT ME!

  Specified by:
    `getTypeBeanInfo` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    DOCUMENT ME!
  Throws:
    `com.stc.editor.javamodel.beans.BeanInfoNotFoundException` - DOCUMENT ME!

### getTypeName

    public java.lang.String getTypeName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isGetter

    public boolean isGetter(java.lang.String name)

  this method determines whether a method with the given name is a getter

  Specified by:
    `isGetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `name` - name
  Returns:
    boolean

### isReadable

    public boolean isReadable()

  This method returns true if this bean property is readable

  Specified by:
    `isReadable` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    boolean

### isSetter

    public boolean isSetter(java.lang.String name)

  This method determines whether a method with the given name is a setter

  Specified by:
    `isSetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `name` - name
  Returns:
    boolean

### isWrittable

    public boolean isWrittable()

  This method returns true if this bean property is writtable

  Specified by:
    `isWrittable` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    boolean

### equals

    public boolean equals(java.lang.Object obj)

  DOCUMENT ME!

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### isRepeating

    public boolean isRepeating()

  This method determines whether this bean property is a repeating type

  Specified by:
    `isRepeating` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Returns:
    boolean

### getGetter

    public com.stc.editor.javamodel.IExpression getGetter(com.stc.editor.javamodel.IExpression input,
                                                          com.stc.editor.javamodel.IExpressionList args)

  This method returns the getter expression as represented by IExpression

  Parameters:
    `input` - input to be used
    `args` - arguments
  Returns:
    IExpression

### setIsRepeating

    public void setIsRepeating(boolean val)

  This method sets whether it is repeatin node

  Specified by:
    `setIsRepeating` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `val` - a value

### isGetterRepeating

    public boolean isGetterRepeating()

  Return true if the getter method is a repeating bean, repeating bean contains an integer index for getting the value of the bean.

  Returns:
    true if the getter method is a repeating bean

### isSetterRepeating

    public boolean isSetterRepeating()

  Return true if the setter method is a repeating bean, repeating bean contains an integer index to set the value into a the specified locationof the bean.

  Returns:
    true if the setter method is a repeating bean

### getSetter

    public com.stc.editor.javamodel.IExpression getSetter(com.stc.editor.javamodel.IExpression input,
                                                          com.stc.editor.javamodel.IExpressionList args)

  This method returns the setter expression as represented by IExpression

  Specified by:
    `getSetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `input` - argument to be used
    `args` - arg
  Returns:
    IExpression

### getVarIndexExpression

    public com.stc.editor.javamodel.IExpression getVarIndexExpression(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath)

  This method returns the the variable index expression based on the bean property path

  Parameters:
    `propertyPath` - the path of the properties
  Returns:
    IExpression

### getCountExpression

    public com.stc.editor.javamodel.IExpression getCountExpression(com.stc.editor.javamodel.IExpression input,
                                                                   com.stc.editor.javamodel.IExpressionList args)

  This method returns the count expression

  Specified by:
    `getCountExpression` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `input` - input expression
    `args` - arguments
  Returns:
    method call expression

### getHasExpression

    public com.stc.editor.javamodel.IExpression getHasExpression(com.stc.editor.javamodel.IExpression input,
                                                                 com.stc.editor.javamodel.IExpressionList args)

  this method returns the has expression

  Specified by:
    `getHasExpression` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `input` - input expression
    `args` - args
  Returns:
    has expression

### getSetter

    public com.stc.editor.javamodel.IExpression getSetter(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath,
                                                          com.stc.editor.javamodel.IExpression input,
                                                          com.stc.editor.javamodel.IExpressionList args)

  This method returns the setter expression

  Specified by:
    `getSetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `propertyPath` - the bean property path
    `input` - the input
    `args` - the args
  Returns:
    the return

### getGetter

    public com.stc.editor.javamodel.IExpression getGetter(com.stc.editor.javamodel.beans.IBeanProperty[] propertyPath,
                                                          com.stc.editor.javamodel.IExpression input)

  This method returns the getter expression based on the property path

  Specified by:
    `getGetter` in interface `com.stc.editor.javamodel.beans.IBeanProperty`
  Parameters:
    `propertyPath` - thep property path
    `input` - input
  Returns:
    IExpression

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!

### getJCModel

    public com.stc.editor.javamodel.IJavaModel getJCModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.